Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Class JikesJavaCompiler

    java.lang.Object
      |
      +--org.apache.jasper.compiler.JikesJavaCompiler

public class JikesJavaCompiler
extends java.lang.Object
implements JavaCompiler

A Plug-in class for specifying a 'jikes' compile.

Author:
  Jeffrey Chiu, Hans Bergsten

Constructor Summary
`JikesJavaCompiler()`

Method Summary
`boolean` | `compile(java.lang.String source)` Execute the compiler
`void` | `setClassDebugInfo(boolean classDebugInfo)` Set if you want debugging information in the class file
`void` | `setClasspath(java.lang.String classpath)` Set the class path for the compiler
`void` | `setCompilerPath(java.lang.String compilerPath)` Specify where the compiler can be found
`void` | `setEncoding(java.lang.String encoding)` Set the encoding (character set) of the source
`void` | `setMsgOutput(java.io.OutputStream out)` Set where you want the compiler output (messages) to go
`void` | `setOutputDir(java.lang.String outdir)` Set the output directory

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JikesJavaCompiler

    public JikesJavaCompiler()

Method Detail

### setCompilerPath

    public void setCompilerPath(java.lang.String compilerPath)

  Specify where the compiler can be found
  Specified by:
    setCompilerPath in interface JavaCompiler

### setEncoding

    public void setEncoding(java.lang.String encoding)

  Set the encoding (character set) of the source
  Specified by:
    setEncoding in interface JavaCompiler

### setClasspath

    public void setClasspath(java.lang.String classpath)

  Set the class path for the compiler
  Specified by:
    setClasspath in interface JavaCompiler

### setOutputDir

    public void setOutputDir(java.lang.String outdir)

  Set the output directory
  Specified by:
    setOutputDir in interface JavaCompiler

### setMsgOutput

    public void setMsgOutput(java.io.OutputStream out)

  Set where you want the compiler output (messages) to go
  Specified by:
    setMsgOutput in interface JavaCompiler

### setClassDebugInfo

    public void setClassDebugInfo(boolean classDebugInfo)

  Set if you want debugging information in the class file
  Specified by:
    setClassDebugInfo in interface JavaCompiler

### compile

    public boolean compile(java.lang.String source)

  Execute the compiler
  Specified by:
    compile in interface JavaCompiler
  Parameters:
    `source` - - file name of the source to be compiled

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.